package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotBlank;

/**
 * RoleUpdateRequest - 角色更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class RoleUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 角色代码
     */
    @NotBlank(message = "[code]角色代码不能为空")
    @Length(min = 0, max = 50, message = "[code]角色代码长度不合法(0-50)")
    private String code;

    /**
     * 角色名称
     */
    @NotBlank(message = "[name]角色名称不能为空")
    @Length(min = 0, max = 50, message = "[name]角色名称长度不合法(0-50)")
    private String name;

    /**
     * 角色描述
     */
    @Length(min = 0, max = 50, message = "[comment]角色描述长度不合法(0-50)")
    private String comment;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
